| RSATest | Contents | Index
Data.Digest.SHA1 |
Portability | portable
Stability | experimental
Maintainer | dominic.steinitz@blueyonder.co.uk
Contents
Function Types
Description
Takes the SHA1 module supplied by Ian Lynagh and wraps it so it takes [Octet] and returns [Octet] where the length of the result is always 20. See http://web.comlab.ox.ac.uk/oucl/work/ian.lynagh/ and http://www.itl.nist.gov/fipspubs/fip180-1.htm.
Synopsis
hash :: [Octet] -> [Octet]
Function Types
hash :: [Octet] -> [Octet]
Take [Octet] and return [Octet] according to the standard. The length of the result is always 20 octets or 160 bits as required by the standard.
Produced by Haddock version 0.8